LocalizationControllerGetLocalization Method |
GET /Localization/
Gets the contents of the specified localization.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetLocalization(
string cultureName,
Guid moduleId,
string name,
bool isOverride,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetLocalization (
cultureName As String,
moduleId As Guid,
name As String,
isOverride As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetLocalization(
String^ cultureName,
Guid moduleId,
String^ name,
bool isOverride,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetLocalization :
cultureName : string *
moduleId : Guid *
name : string *
isOverride : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- cultureName
- Type: SystemString
The name of the culture to get the localization for. - moduleId
- Type: SystemGuid
The ID of the module the localization belongs to. - name
- Type: SystemString
The name of localization. - isOverride
- Type: SystemBoolean
A flag indicating whether or not this is an override. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
String with the contents, or a status code indicating the problem.
See Also